View Issue Details

IDProjectCategoryView StatusLast Update
0002997Ham Radio DeluxeMaintenancepublic2019-11-08 02:32
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.244 
Summary0002997: Website: Many no-TLS HTTP links on home page
DescriptionAs a best practice, we should use the https scheme for all links. The home page of the hamradiodeluxe.com website has about a dozen links which don't use https.
Steps To Reproduce1) Open https://www.hamradiodeluxe.com/ in a browser
2) View source of the page. In Chrome, this is with CTRL+U
3) Search for "http://"

BUG#1) There are about 12 matches, all indicating links from this page to others that use http instead of https
TagsNo tags attached.
ModuleWebsite
Sub-ModuleDocumentation
Testing N/A

Activities

WA9PIE

2019-04-15 23:00

administrator   ~0007863

I've edited the header and footer in the UC theme to https for those links in the header and footer... as well as the alternate reference for https://hamradiodeluxe.com

Two of the hamfests do not have certs on their pages. One of them (Pacificon) will resolve properly with https anyway, but leaves a "not secure" in the browser URL bar. The International DX Convention won't resolve if I change it to https. As a result, I've left it as http. If they get a cert, I can update that... or otherwise, I can just remove the show from the schedule.

K7ZCZ

2019-08-13 17:48

administrator   ~0008398

There are still dozens of non-https links.

1) https://www.hamradiodeluxe.com/
2) CTRL+U (usually, depends on your browser) to see source
3) Two or three http links remain

Also,

4) go to https://www.hamradiodeluxe.com/features/
5) View source
6) About a dozen http links, mostly to manufacturers.

WA9PIE

2019-08-13 21:50

administrator   ~0008399

On https://www.hamradiodeluxe.com there is one http link left. It's for the International DX Convention in Visalia, CA. I check this periodically. When I checked this time, a Google search revealed TWO different sites - on http and another https as follows:
http://www.dxconvention.org/
https://www.dxconvention.com/index.html
These are two uniquely separate pages (no idea why). If you simply go to https://www.dxconvention.com, then it redirects to http://www.dxconvention.org/

SO... with regards to that one, I'll use this new site https://www.dxconvention.com/index.html

On the Features page:
- The ARRL doesn't have a cert for this page <a href="http://www.arrl.org/what-is-ham-radio" target="_blank"> and it redirects to an unsecure page. That's about all I can do with that one.
- As for the manufacturers, I updated those to https and they work with the following exceptions:
-- https://www.kenwood.com/usa/com/amateur/ ;resolves to an unsecure page
-- https://www.microham-usa.com/ ;resolves to an unsecure page
-- https://www.westmountainradio.com/ ; will not resolve to a secure page; must either leave it as-is or remove it ;commented out for now
-- https://www.tigertronics.com/ ; will not resolve to a secure page; must either leave it as-is or remove it ;commented out for now

With this, all the noted non-http references have been updated.

WA9PIE

2019-08-13 21:51

administrator   ~0008400

Back to MB for validation.

WA9PIE

2019-09-14 02:17

administrator   ~0008551

No response. Closing.

Issue History

Date Modified Username Field Change
2018-12-15 10:48 K7ZCZ New Issue
2019-01-04 14:17 K7ZCZ Description Updated View Revisions
2019-01-04 14:17 K7ZCZ Steps to Reproduce Updated View Revisions
2019-01-04 14:17 K7ZCZ Module All => Website
2019-04-15 23:00 WA9PIE Note Added: 0007863
2019-04-15 23:01 WA9PIE Assigned To => K7ZCZ
2019-04-15 23:01 WA9PIE Status new => feedback
2019-04-15 23:05 WA9PIE Status feedback => resolved
2019-06-15 11:36 WA9PIE Project 3 - Current Dev List => 2 - Next Dev List (Holding Area)
2019-08-13 17:45 K7ZCZ Assigned To K7ZCZ =>
2019-08-13 17:48 K7ZCZ Assigned To => WA9PIE
2019-08-13 17:48 K7ZCZ Status resolved => assigned
2019-08-13 17:48 K7ZCZ Note Added: 0008398
2019-08-13 21:50 WA9PIE Note Added: 0008399
2019-08-13 21:51 WA9PIE Assigned To WA9PIE => K7ZCZ
2019-08-13 21:51 WA9PIE Status assigned => resolved
2019-08-13 21:51 WA9PIE Resolution open => fixed
2019-08-13 21:51 WA9PIE Category Bug => Maintenance
2019-08-13 21:51 WA9PIE Note Added: 0008400
2019-08-30 13:32 K7ZCZ Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2019-09-14 02:17 WA9PIE Status resolved => closed
2019-09-14 02:17 WA9PIE Fixed in Version => 6.7.0.227
2019-09-14 02:17 WA9PIE Testing Not Started => N/A
2019-09-14 02:17 WA9PIE Note Added: 0008551
2019-11-08 02:13 WA9PIE Fixed in Version 6.7.0.227 => 6.7.0.244
2019-11-08 02:32 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe